
package ossj.common.ex;


/**
 * This is the local-home interface for MplsvpnTbl enterprise bean.
 */
public interface MplsvpnTblLocalHome extends javax.ejb.EJBLocalHome {
    
    ossj.common.ex.MplsvpnTblLocal findByPrimaryKey(java.lang.String key)  throws javax.ejb.FinderException;

    public ossj.common.ex.MplsvpnTblLocal create(java.lang.String mplskey, java.lang.String state, java.lang.String subscriberid, java.lang.Integer mandatory, java.lang.String vrfname, java.lang.Integer startmode) throws javax.ejb.CreateException;

    /**
     * 
     */
    java.util.Collection findByMplskey(java.lang.String mplskey) throws javax.ejb.FinderException;

    /**
     * 
     */
    java.util.Collection findByState(java.lang.String state) throws javax.ejb.FinderException;

    /**
     * 
     */
    java.util.Collection findBySubscriberid(java.lang.String subscriberid) throws javax.ejb.FinderException;

    /**
     * 
     */
    java.util.Collection findByMandatory(java.lang.Integer mandatory) throws javax.ejb.FinderException;

    /**
     * 
     */
    java.util.Collection findByVrfname(java.lang.String vrfname) throws javax.ejb.FinderException;

    /**
     * 
     */
    java.util.Collection findByStartmode(java.lang.Integer startmode) throws javax.ejb.FinderException;
    
    
}
